from CvPythonExtensions import *
from BasicFunctions import *
import CustomFunctions
import PyHelpers

# globals
cf = CustomFunctions.CustomFunctions()
gc = CyGlobalContext()
PyInfo = PyHelpers.PyInfo

def onBuildingBuilt(self, argsList):
	'Building Completed'
	pCity, iBuildingType = argsList
	if iBuildingType == gc.getInfoTypeForString("BUILDING_GUILD_MEDICOS"):
			pCity.setHasCorporation( gc.getInfoTypeForString("CORPORATION_ORDINE_MEDICOS"), True, True, False)

def onBeginPlayerTurn(self, argsList):
	'Called at the beginning of a players turn'
	iGameTurn, iPlayer = argsList
	pPlayer = gc.getPlayer(iPlayer)
	iAlignment = gc.getPlayer(iPlayer).getAlignment()
	iEthicalAlignment = gc.getPlayer(iPlayer).getEthicalAlignment()
	iGood = gc.getInfoTypeForString('ALIGNMENT_GOOD')
	iNeutral = gc.getInfoTypeForString('ALIGNMENT_NEUTRAL')
	iLawful = gc.getInfoTypeForString('ETHICAL_ALIGNMENT_LAWFUL')
	iEthicalNeutral = gc.getInfoTypeForString('ETHICAL_ALIGNMENT_NEUTRAL')
	if pPlayer.hasTrait(gc.getInfoTypeForString('TRAIT_BARBARIAN')) and iGameTurn >= 20:
		eTeam = gc.getTeam(gc.getPlayer(gc.getORC_PLAYER()).getTeam())
		iTeam = pPlayer.getTeam()
		if eTeam.isAtWar(iTeam) == False:
			iPenalty = 0
			if (iAlignment == iGood):
				iPenalty += 5
			elif (iAlignment == iNeutral):
				iPenalty += 2
			if (iEthicalAlignment == iLawful):
				iPenalty += 5
			elif (iEthicalAlignment == iEthicalNeutral):
				iPenalty += 2
			iPenalty = ((iPenalty ** 2)-10) / .9
			if (iPenalty > CyGame().getSorenRandNum(100, "Barbs Attack")):
				eTeam.declareWar(iTeam, false, WarPlanTypes.WARPLAN_LIMITED)
				if (iPlayer == CyGame().getActivePlayer() and pPlayer.isHuman()):
					cf.addPopup(CyTranslator().getText("TXT_KEY_POPUP_BARBARIAN_DECLARE_WAR",()), 'art/interface/popups/Barbarian.dds')